ExtendedTableHolder (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.renderkit.ExtendedTableHolder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ExtendedTableHolder

    java.lang.Object
      org.richfaces.renderkit.TableHolder
          org.richfaces.renderkit.ExtendedTableHolder

    public class ExtendedTableHolder

extends TableHolder

Extended table holder. It keeps additional information like last row key, last row data and information about grouping.

Author:
  pawelgo

Constructor Summary
`ExtendedTableHolder(UIExtendedDataTable table)`

Method Summary
`UIColumn` | `getGroupingColumn()`
`java.lang.String` | `getGroupingColumnLabel()`
`int` | `getGroupRowCounter()`
`java.lang.Object` | `getLastData()`
`java.lang.Object` | `getLastKey()`
`UIExtendedDataTable` | `getTable()`
`boolean` | `isFirstRow()`
`boolean` | `isGroupingOn()`
`int` | `nextGroupRow()` Get current rendered row number, and increment to next value.
`void` | `setFirstRow(boolean firstRow)`
`void` | `setLastData(java.lang.Object lastData)`
`void` | `setLastKey(java.lang.Object lastKey)`

Methods inherited from class org.richfaces.renderkit.TableHolder
`getColumnClass, getGridRowCounter, getRowClass, getRowClass, getRowCounter, nextRow, setGridRowCounter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedTableHolder

    public ExtendedTableHolder(UIExtendedDataTable table)

Parameters:
  `table` -

Method Detail

### isFirstRow

    public boolean isFirstRow()

### setFirstRow

    public void setFirstRow(boolean firstRow)

### getTable

    public UIExtendedDataTable getTable()

  Overrides:
    `getTable` in class `TableHolder`
  Returns:
    the table

### getLastData

    public java.lang.Object getLastData()

### setLastData

    public void setLastData(java.lang.Object lastData)

### getLastKey

    public java.lang.Object getLastKey()

### setLastKey

    public void setLastKey(java.lang.Object lastKey)

### getGroupRowCounter

    public int getGroupRowCounter()

### nextGroupRow

    public int nextGroupRow()

  Get current rendered row number, and increment to next value.

  Returns:
    the rowCounter

### getGroupingColumnLabel

    public java.lang.String getGroupingColumnLabel()

### isGroupingOn

    public boolean isGroupingOn()

### getGroupingColumn

    public UIColumn getGroupingColumn()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.